Employee Profiles
Alle Operationen rund um Employee Profiles.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Employee Profile | employee_profile |
50 | — | employee_profile_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/employee_profiles |
Create employee_profile | Create a new employee_profile in the active tenant. |
DELETE |
/v1/employee_profiles/{id} |
Delete employee_profile | Soft delete entity. |
GET |
/v1/employee_profiles/{id} |
Get employee_profile by id | Fetch a single employee_profile. |
GET |
/v1/employee_profiles/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/employee_profiles/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/employee_profiles/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/employee_profiles |
List employee_profiles | List employee_profiles for the active tenant. |
PATCH |
/v1/employee_profiles/{id} |
Patch employee_profile | JSON Merge Patch update. |
POST |
/v1/employee_profiles/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/employee_profiles/{id}/transition |
POST /v1/employee_profiles/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/employee_profiles/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/employee_profiles/{id} |
Replace employee_profile | Full replace with optimistic locking. |